Subject: [Simple] "offline" watcher info

From: Gustavo García Bernardo <[email-masked]>
Date: Tue, 14 Mar 2006 11:39:38 +0100

Hi,
 
For implementing a SIP Instant Messenger it is necessary that a user A could
detect when other user B is subscribing to his presence, so that A could
authorize or deny it modifying his presence rules (according to
draft-ietf-simple-presence-rules-04).  
 
I think this could be achieved with watcher info (RFC3857) if A is online
(and subscribed to his watcher info) at B subscription time, but How should
it works if A is offline at these moment?  
 
Thanks
 
Gustavo García

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Xiao Wang <[email-masked]>
Date: Wed, 15 Mar 2006 10:14:56 +0800

IM and Presence are different functions, they are usually used together. I
think as long as ua can connect to net, whether IM offline is not effect on
the watcher info achieved.  
If ua can not connect to net, it only sets access policy to presence server
beforehand.

Xiao
________________________________________
From: Gustavo García Bernardo [mailto:[email-masked]] 
Sent: Tuesday, March 14, 2006 6:40 PM
To: [email-masked]
Subject: [Simple] "offline" watcher info

Hi,

Thanks

Gustavo García

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 14 Mar 2006 22:13:00 -0500

This is why watcherinfo defines the 'waiting' state. The problem of 
offline authorization and how 'waiting' solves it is discussed in 
Section 4.7.1 of RFC 3857.

-Jonathan R.

Gustavo García Bernardo wrote:

> Hi,
> 
> 
> 
> For implementing a SIP Instant Messenger it is necessary that a user
> A could detect when other user B is subscribing to his presence, so
> that A could authorize or deny it modifying his presence rules
> (according to draft-ietf-simple-presence-rules-04).
> 
> 
> 
> I think this could be achieved with watcher info (RFC3857) if A is
> online (and subscribed to his watcher info) at B subscription time,
> but How should it works if A is offline at these moment?
> 
> 
> 
> Thanks
> 
> 
> 
> Gustavo García
> 
> 
> 
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> 
> _______________________________________________ Simple mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/simple

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com